package com.fun.airhornprank.data;

import androidx.room.Database;
import androidx.room.Room;
import androidx.room.RoomDatabase;

import com.fun.airhornprank.PrankSkin;

@Database(entities = {Mydata.class},version = PrankSkin.DB_Version,exportSchema = false)
public abstract class MyDataBase extends RoomDatabase {
    public abstract LikeDAO likeDAO();

    private static MyDataBase INSTANCE;

    public static MyDataBase getInstance() {
        if (INSTANCE == null) {
            synchronized (MyDataBase.class) {
                if (INSTANCE == null) {
                    INSTANCE = Room.databaseBuilder(PrankSkin.app, MyDataBase.class, PrankSkin.DB_Name).build();
                }
            }

        }
        return INSTANCE;

    }
}
